Skip to navigation

Update an Automation Output Processor

Update an Automation Output Processor

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

output_processor_idstringRequired

Request

This endpoint expects an object.
fileIdstringRequired
The ID of a blob link or the API ID of a file to process.

Response

OK
assayRunIdstringOptional
automationFileConfigobjectOptional
fileobject or nullOptional
idstringOptional
statusenumOptional
Allowed values:
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Automation Output Processor in the API.
archiveRecordobject or nullOptional
completeWithErrorsbooleanOptional

Specifies whether file processing should complete with errors. False means any error in output file processing will result in no actions being committed. True means that if row-level errors occur, then failing rows and their errors will be saved to errorFile, and actions from successful rows will be committed.

createdAtdatetimeOptional
DateTime the Automation Output Processor was created
errorFileobject or nullOptional
modifiedAtdatetimeOptional
DateTime the Automation Output Processor was last modified
progressStatsobjectOptional
Processing progress information.
transformslist of objectsOptional

Errors

400
Bad Request Error